Introduction

Altap Salamander: Plugins: Checksum: Introduction

Getting Started with Checksum Plugin

Use the Checksum plugin when you need to be sure that you have transferred files without errors. It allows you to calculate CRC32, MD5, SHA-1, SHA-256, and SHA-512 checksums and store them to a SFV (Simple File Verification), MD5, SHA-1, SHA-256, or SHA-512 file or to the clipboard. After transferring the files and their checksums (in a SFV, MD5, SHA-1, SHA-256, or SHA-512 file), you can verify the checksums. The plugin calculates CRC32, MD5, SHA-1, SHA-256, or SHA-512 checksums of the transferred files and compares them with the checksums of the original files (as stored in the transferred SFV, MD5, SHA-1, SHA-256, or SHA-512 file). The SFV, MD5, SHA-1, SHA-256, and SHA-512 formats are widely used, therefore you can find many utilities working with them for almost any operating system.

See Menu Extension section in Using Plugins for a description of basic work with menu extension.

© 2001-2019 ALTAP. All rights reserved.


Calculating CRC/MD5/SHA-1/SHA-256/SHA-512 Checksums

Altap Salamander: Plugins: Checksum: Using Checksum Plugin

Calculating Checksums

Use this dialog to calculate CRC32, MD5, SHA-1, SHA-256, and SHA-512 checksums of files. You can save these checksums to a file for later verification of integrity of the files.

To calculate checksums:

  1. Select the files and directories (all files in selected directories are taken) for which you want to calculate CRC32, MD5, SHA-1, SHA-256, or SHA-512 checksums.
  2. Open the Calculate Checksums dialog box:
    Menu: Plugins/Checksum/Calculate Checksums...
  3. Please note that this dialog is not modal (i.e. is not blocking), so you can continue in your work in Altap Salamander while the checksums are being calculated.
  4. When the checksums are ready, you can see them in the CRC, MD5, SHA-1, SHA-256, and SHA-512 columns.
    NOTE: Not all columns might be visible (not all types of checksums might be calculated), depending on the Configuration.
  5. To copy a checksum of a specific file to the clipboard, use the right mouse click on the filename.
  6. Use the Save button to save the checksums to a file for later verification of the checksums. Select the desired format in the Save Checksum File dialog box that pops up.
  7. Click the Close button to close the dialog box.
© 2001-2019 ALTAP. All rights reserved.


Verifying SFV/MD5/SHA-1/SHA-256/SHA-512 Checksums

Altap Salamander: Plugins: Checksum: Using Checksum Plugin

Verifying Checksums

Use this dialog to verify checksums from SFV, MD5, SHA-1, SHA-256, and SHA-512 files. You can see the result of verification in the column Status. Please note that this dialog is not modal (blocking), so you can continue in your work in Altap Salamander while verification of checksums is in progress.

To verify checksums:

  1. Focus the SFV, MD5, SHA-1, SHA-256, or SHA-512 file with checksums.
  2. Open the Verify Checksums dialog box:
    Menu: Plugins/Checksum/Verify Checksums...
    Shortcut key: Ctrl+Shift+V
  3. Wait for verification of checksums.
  4. Click the OK button to close the dialog box.
© 2001-2019 ALTAP. All rights reserved.


Checksum Configuration dialog box

Altap Salamander: Plugins: Checksum: Dialog Boxes

Checksum Configuration

Use this dialog box to customize the checksum calculator. See Configuring Plugins for general information about configuration.

Calculate checksums

CRC/SFV
MD5
SHA-1
SHA-256
SHA-512
Use these check boxes to specify which checksums and hashes should be calculated when the Calculate Checksums window is opened next time.
For faster calculation, it is recommended to enable only the checksums that you regularly use.
© 2001-2019 ALTAP. All rights reserved.